VersionProbe (MetaCoretex API)
Keywords: com.securitycentric.metacoretex.interfaces.VersionProbe interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.securitycentric.metacoretex.interfaces
Interface VersionProbe

All Superinterfaces:
  Probe, java.lang.Runnable

All Known Implementing Classes:
  AbstractVersionProbe

public interface VersionProbe
extends Probe

Author:
  visigoth

Method Summary
`java.lang.String` | `getKbKey()`
`Version` | `getTestVersion()`
`boolean` | `matchRelease()`
`void` | `setKbKey(java.lang.String key)`
`void` | `setMatchRelease(boolean mat)`
`void` | `setTestVersion(java.lang.String ver)` Set the version to test for in this probe (which should be set to the first known SAFE version because it tests for older-than without inclusion

Methods inherited from interface com.securitycentric.metacoretex.interfaces.Probe
`addDepends, addOption, addProvides, addReport, depends, dumpOptions, getCopyright, getException, getFamily, getHelp, getHost, getName, getOption, getOptionKeys, getProbeId, getReport, getSeverity, getTarget, getTimeout, getVersion, hasSafe, isEnabled, isReportable, kbGet, kbHas, kbPut, probe, probeSafe, provides, replaceOptions, setCopyright, setEnabled, setFamily, setHelp, setName, setProbeId, setReport, setReportable, setSeverity, setTarget, setTimeout, setVersion`

Methods inherited from interface java.lang.Runnable
`run`

Method Detail

### setKbKey

    public void setKbKey(java.lang.String key)

### getKbKey

    public java.lang.String getKbKey()

### setTestVersion

    public void setTestVersion(java.lang.String ver)

  Set the version to test for in this probe (which should be set to the first known SAFE version because it tests for older-than without inclusion

### getTestVersion

    public Version getTestVersion()

### matchRelease

    public boolean matchRelease()

### setMatchRelease

    public void setMatchRelease(boolean mat)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD